test: iafptrap.c File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# iafptrap.c File Reference

`#include "ki.h"`
`#include "ia32def.h"`

Go to the source code of this file.

## Classes

struct | KMOD

## Defines

#define | REG(field) ((ULONG_PTR)(&((KTRAP_FRAME *)0)->field))
#define | GETREG(frame, reg) ((PULONG) (((ULONG_PTR) frame)+reg))[0]

## Typedefs

typedef * | PKMOD

## Functions

NTSTATUS | Ki386CheckDivideByZeroTrap (IN PKTRAP_FRAME UserFrame)

## Variables

ULONG_PTR | RM32 []
ULONG_PTR | RM8 []
KMOD | MOD32 []
struct {
UCHAR Opcode1
UCHAR Opcode2
UCHAR ModRm
UCHAR type
} | NoWaitNpxInstructions []

## Define Documentation

#define GETREG | ( | frame,
|  | reg |  | ) | ((PULONG) (((ULONG_PTR) frame)+reg))[0]

| Definition at line 41 of file iafptrap.c.

#define REG | ( | field |  | ) | ((ULONG_PTR)(&((KTRAP_FRAME *)0)->field))

| Definition at line 40 of file iafptrap.c.

## Typedef Documentation

typedef * PKMOD

## Function Documentation

NTSTATUS Ki386CheckDivideByZeroTrap | ( | IN PKTRAP_FRAME | UserFrame | ) |

| Referenced by KiIA32ExceptionDivide().

## Variable Documentation

KMOD MOD32[]`[static]`

Initial value:

     {
             5,     4,   0x20,   4,
          0xff,     4,   0xff,   1,
          0xff,     4,   0xff,   4,
          0xff,  0xff,   0x00,   0
    }

Definition at line 72 of file iafptrap.c.

UCHAR ModRm

| Definition at line 81 of file iafptrap.c.

struct { ... } NoWaitNpxInstructions[]`[static]`

UCHAR Opcode1

| Definition at line 80 of file iafptrap.c.

UCHAR Opcode2

| Definition at line 80 of file iafptrap.c.

ULONG_PTR RM32[]`[static]`

Initial value:

     {
           REG(IntV0),
           REG(IntT2),
           REG(IntT3),
           REG(IntT4),
           REG(IntSp),
           REG(IntTeb),
           REG(IntT5),
           REG(IntT6)
    }

Definition at line 50 of file iafptrap.c.

ULONG_PTR RM8[]`[static]`

Initial value:

     {
           REG(IntV0),
           REG(IntT2),
           REG(IntT3),
           REG(IntT4),
           REG(IntV0) + 1,
           REG(IntT2) + 1,
           REG(IntT3) + 1,
           REG(IntT4) + 1
    }

Definition at line 61 of file iafptrap.c.

UCHAR type

| Definition at line 81 of file iafptrap.c.